Create Batch Instructions

View as MarkdownOpen in Claude
Create instructions for a Task Builder batch. <Error title="Important"> **Deprecated for batches that use `batch_items`.** All responses include the [RFC 8594](https://www.rfc-editor.org/rfc/rfc8594) headers `Deprecation: true` and `Sunset: Tue, 01 Sep 2026 23:59:59 GMT`. If the target batch was created with `batch_items` (the per-item instructions flow), this endpoint will respond with **`422 Unprocessable Entity`** and an error message directing you to manage instructions via the `batch_items` payload instead. Legacy batches (where `batch_items` is `null`) continue to work and return `201 Created`. </Error>

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Path parameters

batch_idstringRequired
The unique identifier of the AI Task Builder batch

Request

This endpoint expects an object.
instructionslist of objectsRequired
The instructions to create for the AI Task Builder batch.

Response headers

Deprecationstring
Per [RFC 8594](https://www.rfc-editor.org/rfc/rfc8594), signals that this endpoint is deprecated.
Sunsetstring
Per [RFC 8594](https://www.rfc-editor.org/rfc/rfc8594), the date after which this endpoint will no longer be supported.

Response

Created. Returned only for legacy batches (batch_items is null).

multiple_choiceobject
OR
free_textobject
OR
free_text_with_unitobject
OR
multiple_choice_with_free_textobject
OR
file_uploadobject

Errors

4XX
Client Request Error
422
Unprocessable Entity Error